# eoNegExpInit< T > Class Template Reference

The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles. More...

`#include <eoUniformInit.h>`

Inheritance diagram for eoNegExpInit< T >:

List of all members.

## Public Member Functions

| eoNegExpInit (T _mean=1.0, eoRng &_rng=rng)
void | operator() (T &_t)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

T | mean
eoRng & | negexp

## Detailed Description

### template<class T = double>
class eoNegExpInit< T >

The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles.

The user can supply a mean.

Definition at line 143 of file eoUniformInit.h.

The documentation for this class was generated from the following file:

- eoUniformInit.h